commit:     c048771cb2b44e4b2e6e5553eaa62d3795096b05
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 20 19:22:58 2018 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Jun 20 19:24:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c048771c

dev-python/flask-debug: support PyPy{,3}, Python 3.6, fix deps

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/flask-debug/flask-debug-0.4.3.ebuild | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

diff --git a/dev-python/flask-debug/flask-debug-0.4.3.ebuild 
b/dev-python/flask-debug/flask-debug-0.4.3.ebuild
index a9dce3dd0e8..cccb072ac7a 100644
--- a/dev-python/flask-debug/flask-debug-0.4.3.ebuild
+++ b/dev-python/flask-debug/flask-debug-0.4.3.ebuild
@@ -1,8 +1,8 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+EAPI=7
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6}} )
 
 inherit distutils-r1
 
@@ -21,15 +21,15 @@ IUSE="doc test"
 RDEPEND="
        dev-python/flask[${PYTHON_USEDEP}]
        dev-python/inflection[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
 "
 DEPEND="
        dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
        test? (
-               dev-python/pytest-runner[${PYTHON_USEDEP}]
-               dev-python/pytest[${PYTHON_USEDEP}]
                ${RDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
        )
-       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
 "
 
 S="${WORKDIR}/${MY_PN}-${PV}"
@@ -40,14 +40,12 @@ python_prepare_all() {
 }
 
 python_compile_all() {
-       use doc && emake -C docs html
+       if use doc; then
+               sphinx-build docs docs/_build/html || die
+               HTML_DOCS=( docs/_build/html/. )
+       fi
 }
 
 python_test() {
        py.test || die "Tests failed with ${EPYTHON}"
 }
-
-python_install_all() {
-       use doc && local HTML_DOCS=( docs/_build/html/. )
-       distutils-r1_python_install_all
-}

Reply via email to